%bcond_with reconf

Name: ncurses
Version: 6.0
Release: 9
License: X11
Summary: "new" curses library
Url: http://invisible-island.net/ncurses

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
%endif

BuildRequires: libtool
BuildRequires: pkg-config

Source0: ftp://ftp.gnu.org/gnu/ncurses/ncurses-%{version}.tar.gz

%description
Open source curses programming interface and terminal info (terminfo/termcap) database.

%package tools
Summary: ncurses library

%description tools
ncurses utilities

%package terminfo
Summary: terminal info database

%description terminfo
terminal info database

%package -n libncurses6
Summary: ncurses library
Requires: ncurses-terminfo = %{version}-%{release}

%description -n libncurses6
ncurses libraries

%package devel
Summary: ncurses development files
Requires: libncurses6 = %{version}-%{release}

%description devel
ncurses development files


%prep
%setup -q

%build

%if %{with reconf}
autoreconf -fi
%else
%define _host powerpc-ibm-aix6
%endif

# create a directory to store narrow character build
mkdir narrowchar
cd narrowchar
  ln -s ../configure .

  %configure \
    LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  %if %{with reconf}
    --with-aix-soname=svr4 \
  %endif
    --disable-overwrite \
    --without-ada \
    --without-normal \
    --without-debug \
    --with-shared \
    --enable-hard-tabs \
    --enable-xmc-glitch \
    --enable-colorfgbg \
    --disable-static \
    --with-libtool \
    --enable-pc-files \
    --with-pkg-config-libdir=%{_libdir}/pkgconfig

  %make_build

cd ..


# create a directory to store wide character build
mkdir widechar
cd widechar
  ln -s ../configure .

  %configure \
    LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  %if %{with reconf}
    --with-aix-soname=svr4 \
  %endif
    --disable-overwrite \
    --without-ada \
    --without-normal \
    --without-debug \
    --with-shared \
    --enable-hard-tabs \
    --enable-xmc-glitch \
    --enable-colorfgbg \
    --disable-static \
    --with-libtool \
    --enable-pc-files \
    --with-pkg-config-libdir=%{_libdir}/pkgconfig \
    --enable-widec

  %make_build

cd ..


%install

%make_install -C narrowchar
%make_install -C widechar

%files tools
%defattr(-, qsys, *none)

%{_bindir}/captoinfo
%{_bindir}/clear
%{_bindir}/infocmp
%{_bindir}/infotocap
%{_bindir}/reset
%{_bindir}/tabs
%{_bindir}/tic
%{_bindir}/toe
%{_bindir}/tput
%{_bindir}/tset

%{_mandir}/man1/captoinfo.1m*
%{_mandir}/man1/clear.1*
%{_mandir}/man1/infocmp.1m*
%{_mandir}/man1/infotocap.1m*
%{_mandir}/man1/reset.1*
%{_mandir}/man1/tabs.1*
%{_mandir}/man1/tic.1m*
%{_mandir}/man1/toe.1m*
%{_mandir}/man1/tput.1*
%{_mandir}/man1/tset.1*
%{_mandir}/man7/term.7*


%files -n libncurses6
%defattr(-, qsys, *none)

%{_libdir}/libform.so.6
%{_libdir}/libmenu.so.6
%{_libdir}/libncurses.so.6
%{_libdir}/libncurses++.so.6
%{_libdir}/libpanel.so.6

%{_libdir}/libformw.so.6
%{_libdir}/libmenuw.so.6
%{_libdir}/libncurses++w.so.6
%{_libdir}/libncursesw.so.6
%{_libdir}/libpanelw.so.6


%files terminfo
%defattr(-, qsys, *none)

%{_libdir}/terminfo

%{_datadir}/tabset
%{_datadir}/terminfo


%files devel
%defattr(-, qsys, *none)

%{_bindir}/ncurses6-config
%{_bindir}/ncursesw6-config

%{_libdir}/libform.so
%{_libdir}/libmenu.so
%{_libdir}/libncurses.so
%{_libdir}/libncurses++.so
%{_libdir}/libpanel.so

%{_libdir}/libformw.so
%{_libdir}/libmenuw.so
%{_libdir}/libncurses++w.so
%{_libdir}/libncursesw.so
%{_libdir}/libpanelw.so

%{_includedir}/ncurses
%{_includedir}/ncursesw

%{_mandir}/man1/ncurses6-config.1*
%{_mandir}/man1/ncursesw6-config.1*
%{_mandir}/man3/*
%{_mandir}/man5/*

%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Nov 4 2021 Jason Hansen <stymie@us.ibm.com> - 6.0
- Intra-package Requires need version and release

* Tue Nov 2 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 6.0
- Use brp-rm-libtool-files

* Wed Jul 14 2021 Jesse Gorzinski <jgorzins@us.ibm.com> - 6.0
- Deliver pkg-config files in devel package

* Tue Feb 09 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 6.0
- Move ncurses*-config programs to devel package

* Fri Jun 12 2020 Mark Irish <mirish@ibm.com> - 6.0
- Build ncursesw (wide character support) in ncurses RPMs

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 6.0
- Use generic paths for man and info pages to allow for compression

* Wed Aug 14 2019 Mark Irish <mirish@ibm.com> - 6.0
- Adding /man7/term.7 file to base package

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Add unshipped files

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded sed-gnu BuildRequires

* Tue Feb 20 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix ncurses for chroot build

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Add terminfo requirement to libncurses

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Make ncurses build svr4-style libraries

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded Provides/Requires lines

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Thu Aug 24 2017 - Kevin Adler <kadler@us.ibm.com>
- Add missing defattr(-, qsys, *none)
